openSUSE Security Update: Security update for aaa_base
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3899-1
Rating:             moderate
References:         #1162581 #1174504 #1191563 #1192248 
Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that contains security fixes can now be installed.

Description:

   This update for aaa_base fixes the following issues:

   - Allowed ping and ICMP commands without CAP_NET_RAW (bsc#1174504).
   - Add $HOME/.local/bin to PATH, if it exists (bsc#1192248).
   - Fixed get_kernel_version.c to work also for recent kernels on the s390/X
     platform (bsc#1191563).
   - Support xz compressed kernel (bsc#1162581)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3899=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      aaa_base-84.87+git20180409.04c9dae-3.52.1
      aaa_base-debuginfo-84.87+git20180409.04c9dae-3.52.1
      aaa_base-debugsource-84.87+git20180409.04c9dae-3.52.1
      aaa_base-extras-84.87+git20180409.04c9dae-3.52.1
      aaa_base-malloccheck-84.87+git20180409.04c9dae-3.52.1
      aaa_base-wsl-84.87+git20180409.04c9dae-3.52.1


References:

   https://bugzilla.suse.com/1162581
   https://bugzilla.suse.com/1174504
   https://bugzilla.suse.com/1191563
   https://bugzilla.suse.com/1192248